DaemonForums  

Go Back   DaemonForums > OpenBSD > OpenBSD Installation and Upgrading

OpenBSD Installation and Upgrading Installing and upgrading OpenBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 28th March 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default post-upgrade error | library pthread.13.3 not found

Hi everybody !!
A while ago, I upgraded my ibook using ftp (official main site ) .. everything went fine .. X works too .. but when I wanted to pkg_add dillo using the official snaphot PKG_PATH , I run into this error :

Quote:
Can't install dillo-2.2p0 because of libraries
| library pthread.13.3 not found
| /usr/lib/libpthread.so.14.1 (system): bad major
| /usr/lib/libpthread.so.15.0 (system): bad major
some other dependencies installed successfully (png libiconv wget libidn gettext jpeg) .. is it a version mismatch ? what does 'bad major' mean ?

thanks for your help

Last edited by daemonfowl; 28th March 2012 at 10:21 PM.
Reply With Quote
  #2   (View Single Post)  
Old 28th March 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default

Trying to build dillo from ports , I got a similar error but with a clearer message :
==> building package for fltk2-2.0.7725p0v0 .................................................
error : Libraries in packing-lists in ports tree and libraries fron installed packages don't match ..

what should I do ?
pkg_delete /var/db/pkg/* then start buiding everything from source ?
Reply With Quote
  #3   (View Single Post)  
Old 28th March 2012
shep shep is offline
ISO Quartermaster
 
Join Date: May 2008
Location: Dry and Dusty
Posts: 595
Thanked 9 Times in 9 Posts
Default

You can anticipate having issues like this if you mix ports and packages. I, and likely many others in the forum, just rely on packages. If there there is an issue with the packages, the developers usually fix it during the next snapshot build.
Reply With Quote
  #4   (View Single Post)  
Old 28th March 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default

Hi shep !
as you notice , I haven't run into errors because I mixed packages ad ports .. since the first attempt to install a snapshot package (namely dillo) I got the error .. then I tried ports to see if there would be a different result ..
I am not sure what option to follow :
pkg_delete everything, then resume on ports ,, or reboot on bsd.old ..
I upgraded the system via ftp.openbsd.org (snapshots) .. and downloaded the ports tarballs from there too (snapshots) .. :-)
Reply With Quote
  #5   (View Single Post)  
Old 28th March 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default

yet another newb q :
In case the newly installed kernel fails to boot after an upgrade , we usually choose a spare bsd.old .. I just want to know what happens to the rest of the filesystem ? won't it be incompatible with that older kernel ? or am I mistaken to think so ?
Reply With Quote
  #6   (View Single Post)  
Old 29th March 2012
backrow backrow is offline
Real Name: Anthony J. Bentley
Shell Scout
 
Join Date: Jul 2009
Location: Albuquerque, NM
Posts: 116
Thanked 10 Times in 4 Posts
Default

There were recently a couple of major version bumps in libc and pthreads (due to the rthreads switch, among other things). As you can see from the error message, the packages are slightly out of date, and require an older version of pthreads than you have installed.

You have two options: either build everything yourself from ports, or wait a few days for whomever does bulk builds to upload new packages to the mirrors.

This is one of the things you have to be aware of when running snapshots, though it only happens rarely. A more common issue is the opposite—newly download packages requiring a library that you don't have in your base system. That is a sign that it’s time to upgrade the base system to a new snapshot.

Quote:
Originally Posted by daemonfowl
some other dependencies installed successfully (png libiconv wget libidn gettext jpeg)
Yes, because those don’t depend on pthreads.

Quote:
Originally Posted by daemonfowl
error : Libraries in packing-lists in ports tree and libraries fron installed packages don't match
This is a related but different issue. It’s explained in bsd.port.mk(5) (only in -current right now):

Quote:
Error: Libraries in packing-lists...and libraries from installed packages don't match
The ports tree and the installed packages are out-of-sync. Mixing library information from both sources might produce packages that can't be installed elsewhere. Cleanest fix is to update the out-of-date source (e.g., update the ports tree, or build and install new packages).
__________________
Many thanks to the forum regulars who put time and effort into helping others solve their problems.
Reply With Quote
  #7   (View Single Post)  
Old 29th March 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default

Hi backrow ! Thank you very much !!
you're right , the opposite case is more common ..
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
installing hpijs package: library jpeg.63.0 not found wimwauters OpenBSD Packages and Ports 11 23rd June 2010 11:30 PM
JPEG library reports unrecoverable error: Calderon FreeBSD General 2 26th August 2009 03:07 PM
pthread/portupgrade problems magic FreeBSD Installation and Upgrading 1 18th August 2009 07:35 AM
upgrade installworld error carpman FreeBSD Installation and Upgrading 11 8th February 2009 05:36 PM
freebsd 7.1 upgrade buildworld error map7 FreeBSD Installation and Upgrading 9 30th October 2008 06:54 PM


All times are GMT. The time now is 01:59 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick